#!/bin/bash

FUNCTIONS="./functions.sh"
. $FUNCTIONS

echo "Instalando Fierro-Lambda."

echo "Correr solamente luego de instalar las dependencias de Fierro y tener acceso a public."

mkdir -p /etc/opt/fierro-lambda

read -p "Ingresar numero de version: " VERSION

IFS=. read V_MAJOR V_MINOR V_REVISION <<EOF
$VERSION
EOF
VERSION_SOPORTE=$(printf "%d%d%02d" "$V_MAJOR" "$V_MINOR" "$V_REVISION")

echo "Cambiando fierro-lambda a fierro-soporte $VERSION_SOPORTE version $VERSION"

if [ -d ~/repo/SoporteIT/fierro-lambda/ ]; then
    cd ~/repo/SoporteIT/fierro-lambda/

    if ! [ -x /opt/bin/fierro-lambda ]; then
        cp fierro-lambda /opt/bin && \
            chmod 0755 /opt/bin/fierro-lambda
    fi

    ./chVersion.sh $VERSION_SOPORTE $VERSION
else
    echo "No está disponible el repo de SoporteIT, solo se va a instalar la configuración"
fi

touch /var/log/fierroclient-lambda.log
chmod 0666 /var/log/fierroclient-lambda.log

if ! [ -f /etc/opt/fierro-lambda/clientserver.conf ]; then
    cat <<EOF > /etc/opt/fierro-lambda/clientserver.conf
#!/bin/bash
#
# Fierro Soft - Lambda Soluciones Informaticas
# Fierro Client server and webserver variables declaration config file
# created on Jun 17, 2005.
#

# Descomentar las siguientes lineas si desea fijar la selecci�n del servidor,
# si quedan comentadas, cada usario deber� configurar el/los servidores a los
# que desea conectarse

export LANG="es_AR.ISO-8859-1"
export LC_ALL="es_AR.ISO-8859-1"

SERVER="PYROLOC://lambda.fierro.com.ar:8023"
WEBSERVER="lambda.fierro.com.ar:8084/fierro-lambda"
EOF
fi

if ! [ -f /etc/opt/fierro-lambda/fierroclient.conf ]; then
    cat <<EOF > /etc/opt/fierro-lambda/fierroclient.conf
LOGHANDLER = "RotatingFileHandler"
LOGARGS = {'filename': '/var/log/fierroclient-lambda.log'}
INSTALL_PATH = '/opt/fierroclient/packages/colofon'
VERSION = '...'
TITLE_LABEL = '-lambda'
SUPPORT_MAIL = 'soporte@fierro-soft.com.ar'
CONF_PATH = '/etc/opt/fierro-lambda/conf'
WX_VERSION="2.6"
GTK_VERSION_CONFLICT = True
PRINTER_CONFIG_MODE = "cups"
EOF
fi
