#!/bin/bash

FUNCTIONS="`pwd`/functions.sh"
. $FUNCTIONS

for FILE in fiscalproxy epsonFiscalProxy-systemd; do
    wget "http://downloads.fierro-soft.com.ar/linux/$FILE"
    dieOnError "Error bajando $FILE"
done

mv fiscalproxy /opt/
cp fiscalproxy.ini /opt/
chmod +x /opt/fiscalproxy

mv epsonFiscalProxy-systemd /lib/systemd/system/epsonFiscalProxy.service

echo "Instalando requests"
sudo pip install requests

echo "Habilitando arquitectura 1386 para el proxy"
sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386

echo "Ya esta instalado, falta configurar las variables que se muestran en el siguiente archivo"
read ENTER
${EDITOR:-vim} /lib/systemd/system/epsonFiscalProxy.service

echo "Desactivando epsonFiscalDriver y activando epsonFiscalProxy"
systemctl stop epsonFiscalDriver
systemctl disable epsonFiscalDriver
systemctl mask epsonFiscalDriver


systemctl start epsonFiscalProxy
dieOnError "Error iniciando el servicio epsonFiscalProxy"

systemctl enable epsonFiscalProxy
