#!/bin/sh

FUNCTIONS=$(pwd)/functions.sh
. $FUNCTIONS

set -eux

TASK=$1

if [ -z "$TASK" ]; then
    die "ERROR: packages-task requiere un argumento"
fi

export DEBIAN_FRONTEND=noninteractive

if [ -f "packages/apt-$TASK.txt" ]; then
    apt-get install -y --no-install-recommends $(cat "packages/apt-$TASK.txt")
fi

# El pip del repo de ubuntu 14.04 es muy antiguo y ya no funciona bien
DISTRO_CODENAME="$(lsb_release -sc)"
if [ "$DISTRO_CODENAME" = "trusty" ]; then
    apt-get remove -y python-pip
    apt-get install -y python-setuptools
    easy_install pip
fi

# Setuptools de ubuntu 16.04 falla con versiones nuevas de pip
if [ "$DISTRO_CODENAME" = "xenial" ]; then
    pip install -U setuptools
fi

# Estos paquetes los instalabamos por apt y ahora los instalamos por pip
apt-get remove python-empy python-pycurl python-m2crypto python-beautifulsoup python-httplib2

if [ -f "packages/pip-$TASK.txt" ]; then
    pip install -r "packages/pip-$TASK.txt"
fi

